Summary:	X font library used by the X server
Summary(pl.UTF-8):	Używana przez X serwer biblioteka fontów X
Name:		xorg-lib-libXfont
Version:	1.4.6
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXfont-%{version}.tar.bz2
# Source0-md5:	351a9b7348d165029bda52c9fdcb5c7a
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	docbook-dtd44-xml
BuildRequires:	freetype-devel >= 2
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xmlto >= 0.0.22
BuildRequires:	xorg-lib-libfontenc-devel
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-sgml-doctools >= 1.7
BuildRequires:	xorg-util-util-macros >= 1.10
BuildRequires:	zlib-devel
Obsoletes:	libXfont
Obsoletes:	xorg-app-mkcfm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libXfont provides the core of the legacy X11 font system, handling the
index files (fonts.dir, fonts.alias, fonts.scale), the various font
file formats, and rasterizing them. It is used by the X servers, the X
Font Server (xfs), and some font utilities (bdftopcf for instance),
but should not be used by normal X11 clients. X11 clients access fonts
via either the new API's in libXft, or the legacy API's in libX11.

%description -l pl.UTF-8
libXfont udostępnia główną część starego systemu fontów X11,
obsługującą pliki indeksów (fonts.dir, fonts.alias, fonts.scale),
różne formaty plików fontów oraz rasteryzację ich. Jest używana przez
serwer X, serwer fontów X (xfs - X Font Server) i różne narzędzia
związane z fontami (np. bdftopcf), ale nie powinna być używana przez
normalne aplikacje klienckie X11. Te ostatnie powinny odwoływać się do
fontów przez nowe API w libXft lub stare API w libX11.

%package devel
Summary:	Header files for libXfont library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXfont
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	bzip2-devel
Requires:	freetype-devel >= 2
Requires:	xorg-lib-libfontenc-devel
Requires:	xorg-lib-xtrans-devel
Requires:	xorg-proto-fontsproto-devel
Requires:	xorg-proto-xproto-devel
Requires:	zlib-devel
Obsoletes:	libXfont-devel

%description devel
X font library used by the X server.

This package contains the header files needed to develop programs that
use libXfont.

%description devel -l pl.UTF-8
Używana przez X serwer biblioteka fontów X.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXfont.

%package static
Summary:	Static libXfont libraries
Summary(pl.UTF-8):	Biblioteki statyczne libXfont
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXfont-static

%description static
X font library used by the X server.

This package contains the static libXfont library.

%description static -l pl.UTF-8
Używana przez X serwer biblioteka fontów X.

Pakiet zawiera statyczną bibliotekę libXfont.

%prep
%setup -q -n libXfont-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-bzip2

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libXfont.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXfont.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXfont.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/*.html
%attr(755,root,root) %{_libdir}/libXfont.so
%{_includedir}/X11/fonts/*.h
%{_pkgconfigdir}/xfont.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXfont.a
%changelog
* Tue Jul 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXfont.git;a=log;h=master

* Mon Jul 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 6c5cd6a
- updated to 1.4.6

* Fri Mar 02 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 516ff44
- up to 1.4.5

* Thu Aug 11 2011 Jakub Bogusz <qboosh@pld-linux.org> d7c8065
- updated to 1.4.4

* Tue May 31 2011 Tomasz Pala <gotar@pld-linux.org> 7d8cee2
- removed unused *.la files

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> 5c46984
- BR: docbook-dtd44-xml

* Fri Oct 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 4997f49
- updated to 1.4.3

* Wed Jun 23 2010 Jakub Bogusz <qboosh@pld-linux.org> 5c9c495
- updated ac and util-macros versions

* Wed Jun 23 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 677a8ae
- up to 1.4.2

* Sun Oct 11 2009 Jakub Bogusz <qboosh@pld-linux.org> 743dbaf
- util-macros version
- enhaced descs
- devel R: bzip2-devel, zlib-devel

* Sat Oct 10 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 82df381
- up to 1.4.1

* Wed Feb 18 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 38e599b
- up to 1.4.0

* Thu Dec 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 5cce171
- updated to 1.3.4

* Wed Jul 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 209c887
- up to 1.3.3

* Thu Mar 06 2008 Jakub Bogusz <qboosh@pld-linux.org> c6dc5aa
- ghost soname symlink

* Thu Mar 06 2008 Jakub Bogusz <qboosh@pld-linux.org> 972e171
- outdated

* Thu Mar 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8ca7a02
- up to 1.3.2 (fixes one CVE that we already had fixed)

* Fri Jan 18 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 572c14c
- rel 2 (fixes CVE-2008-0006)

* Fri Jan 18 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 60fdefc
- fix for CVE-2008-0006

* Wed Sep 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 102bd87
- updated to 1.3.1

* Tue Jul 03 2007 Jakub Bogusz <qboosh@pld-linux.org> c407e97
- updated to 1.3.0

